#!/bin/sh
# set the needed environment variables
PW_ROOT="/opt/QE61/bin"
PSEUDO_DIR="/home/jyhuang/WS_QE/pseudo"
TMP_DIR="/home/jyhuang/WS_QE/scratch"

####################################################################
# define some QE variables (do not change)
precmd="mpirun -np 4 --map-by core"
#pseudo=pbe-nsp-van
name=BTO
struct=cubic
####################################################################
# define some QE variables to play with
# alat=7.47
nK=5
degauss=0.01

rm -rf results.alat
mkdir results.alat
cd results.alat
rm -f $name.$struct.scf.out

for lattice_const in  7.25 7.3 7.35 7.4 7.45 7.5 7.55 7.6 7.65  ; do
# scf calculation
cat >  $name.$struct.scf.in << EOF
 &control
    calculation = 'scf' ,
    restart_mode = 'from_scratch' ,
    tstress = .true.
    tprnfor = .true.
    pseudo_dir = '$PSEUDO_DIR/',
    outdir='$TMP_DIR/'
    prefix='$name.$struct'
 /
 &system
    ibrav = 6,
    celldm(1)=$lattice_const,
    celldm(3)=1.0236
    nat= 5,
    ntyp= 3,
    ecutwfc = 30,
    ecutrho = 240.0,
    occupations='fixed',
    nbnd=20
 /
 &electrons
    mixing_mode = 'plain'
    conv_thr = 1.0e-8
    mixing_beta = 0.7
 /
 &ions
 /
 &cell
 /

ATOMIC_SPECIES
Ba    137.34    Ba.pbe-nsp-van.UPF
Ti    47.90     Ti.pbe-sp-van_ak.UPF
O     16.0      O.pbe-rrkjus.UPF

ATOMIC_POSITIONS {crystal}
 Ba    0.00000000000000    0.00000000000000    0.00000000000000
 Ti    0.50000000000000    0.50000000000000    0.50000000000000
  O    0.50000000000000    0.50000000000000    0.00000000000000
  O    0.50000000000000    0.00000000000000    0.50000000000000
  O    0.00000000000000    0.50000000000000    0.50000000000000

K_POINTS automatic
$nK $nK $nK 0 0 0
EOF

$precmd $PW_ROOT/pw.x < $name.$struct.scf.in >> $name.$struct.scf.out

done

cat>>$name.$struct.eos.dat <<EOF1
EOF1

grep -e 'lattice parameter' -e ! $name.$struct.scf.out | awk '/lattice parameter/{lattice=$(NF-1)}/!/{print lattice, $(NF-1)}' >> $name.$struct.eos.dat
