#!/usr/bin/gnuplot
reset
# set terminal pngcairo dashed enhanced 
set terminal pdfcairo dashed enhanced 
# set term wxt enhanced dashed "Arial,16"
# set terminal postscript eps color solid "Helvetica,16"
set output "epsilon.BTO.cubic.pdf"

set for [i=4:6] linetype i dashtype i 
set zero 1e-18 

# Styles for lines
set style line 1 linetype 1 lw 2 lc rgb "#000000"  # black
set style line 2 linetype 1 lw 2 lc rgb "#0000FF"  # red
set style line 3 linetype 1 lw 2 lc rgb "#FF0000"  # blue
set style line 4 linetype 1 lw 2 lc rgb "#5d478b"  # medium purple 4
set style line 5 linetype 1 lw 2 lc rgb "#6e8b3d"  # dark olive green 4
set style line 6 linetype 4 lw 2 lc rgb "#0000FF"  # red
set style line 7 linetype 4 lw 2 lc rgb "#FF0000"  # blue
set style line 8 linetype 4 lw 2 lc rgb "#6e8b3d"  # dark olive green 4

set xlabel "E [eV]"
set ylabel "Epsilon"

set xrange [0:20]
set yrange [-5:15]
# set arrow from 15.2873,-0.4 to 15.2873,0.4  nohead lt 3

plot "epsr_BTO.cubic.dat" using 1:2 t "epsilonR-XX" w l ls 2,\
"epsr_BTO.cubic.dat" using 1:3 t "epsilonR-YY" w l ls 3,\
"epsr_BTO.cubic.dat" using 1:4 t "epsilonR-ZZ" w l ls 5,\
"epsi_BTO.cubic.dat" using 1:2 t "epsilonI-XX" w l ls 6,\
"epsi_BTO.cubic.dat" using 1:3 t "epsilonI-YY" w l ls 7,\
"epsi_BTO.cubic.dat" using 1:4 t "epsilonI-ZZ" w l ls 8

pause -1 'Hit any key to continue'
